package org.maachang.comet.httpd.engine.script.service.mail;

/**
 * 受信添付情報.
 * 
 * @version 2007/10/22.
 * @author masahito suzuki.
 * @since MaachangComet 1.00
 */
public class ResultAttached {
    
    /**
     * 受信添付ファイル名.
     */
    private String fileName = null ;
    
    /**
     * 受信添付データ.
     */
    private byte[] attached = null ;

    /**
     * attached を取得.
     * <BR><BR>
     * @return attached が返されます.
     */
    public byte[] getAttached() {
        return attached;
    }

    /**
     * attached を設定.
     * <BR><BR>
     * @param attached attached を設定します.
     */
    public void setAttached(byte[] attached) {
        this.attached = attached;
    }

    /**
     * fileName を取得.
     * <BR><BR>
     * @return fileName が返されます.
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * fileName を設定.
     * <BR><BR>
     * @param fileName fileName を設定します.
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
